ALTER TABLE `hlstats_Actions` 
CHANGE `game`  `game` varchar(128) NOT NULL default 'valve',
CHANGE `code`  `code` varchar(128) NOT NULL default '',
CHANGE `team`  `team` varchar(128) NOT NULL default '',
CHANGE `description`  `description` varchar(255) default NULL;


ALTER TABLE `hlstats_Awards` 
CHANGE `game`  `game` varchar(128) NOT NULL default 'valve',
CHANGE `code`  `code` varchar(128) NOT NULL default '',
CHANGE `name`  `name` varchar(255) NOT NULL default '',
CHANGE `verb`  `verb` varchar(255) NOT NULL default '';

ALTER TABLE `hlstats_Events_Chat`
CHANGE `map`  `map` varchar(255) NOT NULL default '';

ALTER TABLE `hlstats_ClanTags`
CHANGE `pattern`  `pattern` varchar(255) NOT NULL default '';
 
ALTER TABLE `hlstats_Clans`
CHANGE `tag`  `tag` varchar(128) NOT NULL default '',
CHANGE `name`  `name` varchar(255) NOT NULL default '',
CHANGE `homepage`  `homepage` varchar(255) NOT NULL default '',
CHANGE `game`  `game` varchar(128) NOT NULL default '';

ALTER TABLE `hlstats_Events_Admin`
CHANGE `map`  `map` varchar(255) NOT NULL default '',
CHANGE `type`  `type` varchar(255) NOT NULL default 'Unknown',
CHANGE `playerName`  `playerName` varchar(255) NOT NULL default '';

ALTER TABLE `hlstats_Events_ChangeName`
CHANGE `map`  `map` varchar(255) NOT NULL default '',
CHANGE `oldName`  `oldName` varchar(255) NOT NULL default '',
CHANGE `newName`  `newName` varchar(255) NOT NULL default '';

ALTER TABLE `hlstats_Events_ChangeRole`
CHANGE `map`  `map` varchar(255) NOT NULL default '',
CHANGE `role`  `role` varchar(255) NOT NULL default '';

ALTER TABLE `hlstats_Events_ChangeTeam`
CHANGE `map`  `map` varchar(255) NOT NULL default '',
CHANGE `team`  `team` varchar(255) NOT NULL default '';

ALTER TABLE `hlstats_Events_Connects`
CHANGE `map`  `map` varchar(255) NOT NULL default '',
CHANGE `ipAddress`  `ipAddress` varchar(32) NOT NULL default '',
CHANGE `hostname`  `hostname` varchar(255) NOT NULL default '',
CHANGE `hostgroup`  `hostgroup` varchar(255) NOT NULL default '';

ALTER TABLE `hlstats_Events_Disconnects`
CHANGE `map`  `map` varchar(255) NOT NULL default '';

ALTER TABLE `hlstats_Events_Entries`
CHANGE `map`  `map` varchar(255) NOT NULL default '';

ALTER TABLE `hlstats_Events_Frags`
CHANGE `map`  `map` varchar(255) NOT NULL default '',
CHANGE `weapon`  `weapon` varchar(128) NOT NULL default '';

ALTER TABLE `hlstats_Events_Latency`
CHANGE `map`  `map` varchar(255) NOT NULL default '',
CHANGE `ping`  `ping` int(32) unsigned NOT NULL default '0';

ALTER TABLE `hlstats_Events_PlayerActions`
CHANGE `map`  `map` varchar(255) NOT NULL default '';

ALTER TABLE `hlstats_Events_PlayerPlayerActions`
CHANGE `map`  `map` varchar(255) NOT NULL default '';

ALTER TABLE `hlstats_Events_Rcon`
CHANGE `map`  `map` varchar(255) NOT NULL default '',
CHANGE `remoteIp`  `remoteIp` varchar(32) NOT NULL default '',
CHANGE `password`  `password` varchar(255) NOT NULL default '',
CHANGE `command`  `command` varchar(255) NOT NULL default '';


ALTER TABLE `hlstats_Events_Statsme`
CHANGE `map`  `map` varchar(255) NOT NULL default '',
CHANGE `weapon`  `weapon` varchar(128) NOT NULL default '';

ALTER TABLE `hlstats_Events_Statsme2`
CHANGE `map`  `map` varchar(255) NOT NULL default '',
CHANGE `weapon`  `weapon` varchar(128) NOT NULL default '';

ALTER TABLE `hlstats_Events_StatsmeLatency`
CHANGE `map`  `map` varchar(255) NOT NULL default '';

ALTER TABLE `hlstats_Events_StatsmeTime`
CHANGE `map`  `map` varchar(255) NOT NULL default '';

ALTER TABLE `hlstats_Events_Suicides`
CHANGE `map`  `map` varchar(255) NOT NULL default '',
CHANGE `weapon`  `weapon` varchar(128) NOT NULL default '';

ALTER TABLE `hlstats_Events_TeamBonuses`
CHANGE `map`  `map` varchar(255) NOT NULL default '';

ALTER TABLE `hlstats_Events_Teamkills`
CHANGE `map`  `map` varchar(255) NOT NULL default '',
CHANGE `weapon`  `weapon` varchar(128) NOT NULL default '';

ALTER TABLE `hlstats_Games`
CHANGE `code`  `code` varchar(128) NOT NULL default '',
CHANGE `name`  `name` varchar(255) NOT NULL default '';

ALTER TABLE `hlstats_HostGroups`
CHANGE `pattern`  `pattern` varchar(255) NOT NULL default '',
CHANGE `name`  `name` varchar(255) NOT NULL default '';

ALTER TABLE `hlstats_Livestats`
CHANGE `cli_address`  `cli_address` varchar(32) NOT NULL default '',
CHANGE `cli_city`  `cli_city` varchar(255) NOT NULL default '',
CHANGE `cli_country`  `cli_country` varchar(128) NOT NULL default '',
CHANGE `cli_flag`  `cli_flag` varchar(16) NOT NULL default '',
CHANGE `cli_state`  `cli_state` varchar(255) NOT NULL default '',
CHANGE `cli_lat`  `cli_lat` varchar(32) NOT NULL default '',
CHANGE `cli_lng`  `cli_lng` varchar(32) NOT NULL default '',
CHANGE `steam_id`  `steam_id` varchar(255) NOT NULL default '',
CHANGE `team`  `team` varchar(128) NOT NULL default '';

ALTER TABLE `hlstats_Options`
CHANGE `keyname`  `keyname` varchar(128) NOT NULL default '',
CHANGE `value`  `value` varchar(255) NOT NULL default '';

ALTER TABLE `hlstats_PlayerNames`
CHANGE `name`  `name` varchar(255) NOT NULL default '';

ALTER TABLE `hlstats_PlayerUniqueIds`
CHANGE `uniqueId`  `uniqueId` varchar(255) NOT NULL default '',
CHANGE `game`  `game` varchar(128) NOT NULL default '';

ALTER TABLE `hlstats_Players`
CHANGE `lastName`  `lastName` varchar(255) NOT NULL default '',
CHANGE `lastAddress`  `lastAddress` varchar(32) NOT NULL default '',
CHANGE `city`  `city` varchar(255) NOT NULL default '',
CHANGE `state`  `state` varchar(255) NOT NULL default '',
CHANGE `country`  `country` varchar(255) NOT NULL default '',
CHANGE `flag`  `flag` varchar(16) NOT NULL default '',
CHANGE `lat`  `lat` varchar(32) NOT NULL default '',
CHANGE `lng`  `lng` varchar(32) NOT NULL default '',
CHANGE `fullName`  `fullName` varchar(255) default NULL,
CHANGE `email`  `email` varchar(255) default NULL,
CHANGE `homepage`  `homepage` varchar(255) default NULL,
CHANGE `game`  `game` varchar(128) NOT NULL default '';

ALTER TABLE `hlstats_Players_History`
CHANGE `game`  `game` varchar(128) NOT NULL default '';

ALTER TABLE `hlstats_Roles`
CHANGE `game`  `game` varchar(128) NOT NULL default 'valve',
CHANGE `code`  `code` varchar(128) NOT NULL default '',
CHANGE `name`  `name` varchar(255) NOT NULL default '';

ALTER TABLE `hlstats_Servers`
CHANGE `address`  `address` varchar(32) NOT NULL default '',
CHANGE `name`  `name` varchar(255) NOT NULL default '',
CHANGE `game`  `game` varchar(128) NOT NULL default 'valve',
CHANGE `publicaddress`  `publicaddress` varchar(255) NOT NULL default '',
CHANGE `statusurl`  `statusurl` varchar(255) default NULL,
CHANGE `rcon_password`  `rcon_password` varchar(255) NOT NULL default '',
CHANGE `act_map`  `act_map` varchar(255) NOT NULL default '';

ALTER TABLE `hlstats_Style`
CHANGE `keyname`  `keyname` varchar(32) NOT NULL default '',
CHANGE `def`  `def` varchar(255) NOT NULL default '',
CHANGE `black`  `black` varchar(255) NOT NULL default '',
CHANGE `light_blue`  `light_blue` varchar(255) NOT NULL default '',
CHANGE `grey`  `grey` varchar(255) NOT NULL default '',
CHANGE `ua_style`  `ua_style` varchar(255) NOT NULL default '',
CHANGE `red`  `red` varchar(255) NOT NULL default '',
CHANGE `light_grey`  `light_grey` varchar(255) NOT NULL default '',
CHANGE `white`  `white` varchar(255) NOT NULL default '';

ALTER TABLE `hlstats_Teams`
CHANGE `game`  `game` varchar(128) NOT NULL default 'valve',
CHANGE `code`  `code` varchar(128) NOT NULL default '',
CHANGE `name`  `name` varchar(255) NOT NULL default '';

ALTER TABLE `hlstats_Trend`
CHANGE `game`  `game` varchar(128) NOT NULL default '';

ALTER TABLE `hlstats_Users`
CHANGE `username`  `username` varchar(255) NOT NULL default '',
CHANGE `password`  `password` varchar(255) NOT NULL default '';

ALTER TABLE `hlstats_Weapons`
CHANGE `game`  `game` varchar(128) NOT NULL default 'valve',
CHANGE `code`  `code` varchar(128) NOT NULL default '',
CHANGE `name`  `name` varchar(255) NOT NULL default '';

ALTER TABLE `hlstats_server_addons`
CHANGE `rule`  `rule` varchar(255) NOT NULL default '',
CHANGE `addon`  `addon` varchar(255) NOT NULL default '',
CHANGE `url`  `url` varchar(255) NOT NULL default '';

